Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Name_Reply Class Reference

Message format for delivering replies from the ACE_Name Server. More...

`#include <Name_Request_Reply.h>`

Collaboration diagram for ACE_Name_Reply:

[legend]
List of all members.

## Public Types
enum | Constants { MAX_NAME_LENGTH = MAXPATHLEN + 1 }
## Public Methods
| ACE_Name_Reply (void)
| Default constructor.
| ACE_Name_Reply (ACE_UINT32 type, ACE_UINT32 err)
| Create a message.
void | init (void)
| Initialize length_ in order to ensure correct byte ordering before a reply is sent.
ACE_UINT32 | length (void) const
void | length (ACE_UINT32)
ACE_INT32 | msg_type (void) const
void | msg_type (ACE_INT32)
ACE_INT32 | status (void) const
void | status (ACE_INT32)
ACE_UINT32 | errnum (void) const
void | errnum (ACE_UINT32)
int | encode (void *&)
| Encode the message before transfer.
int | decode (void)
| Decode a message after reception.
void | dump (void) const
| Print out the values of the message for debugging purposes.
## Private Attributes
Transfer | transfer_
| Transfer buffer.

## Detailed Description

Message format for delivering replies from the ACE_Name Server.

This class is implemented to minimize data copying. In particular, all marshaling is done in situ...

## Member Enumeration Documentation

enum ACE_Name_Reply::Constants

  | Enumeration values:
  MAX_NAME_LENGTH | Class-specific constant values.

## Constructor & Destructor Documentation

ACE_Name_Reply::ACE_Name_Reply ( | void )

| Default constructor.

ACE_Name_Reply::ACE_Name_Reply ( | ACE_UINT32 type,
| ACE_UINT32 err )

| Create a message.

## Member Function Documentation

int ACE_Name_Reply::decode ( | void )

| Decode a message after reception.

void ACE_Name_Reply::dump ( | void ) const

| Print out the values of the message for debugging purposes.

int ACE_Name_Reply::encode ( | void *& buf )

| Encode the message before transfer.

void ACE_Name_Reply::errnum ( | ACE_UINT32 e )

ACE_UINT32 ACE_Name_Reply::errnum ( | void ) const

void ACE_Name_Reply::init ( | void )

| Initialize length_ in order to ensure correct byte ordering before a reply is sent.

void ACE_Name_Reply::length ( | ACE_UINT32 l )

ACE_UINT32 ACE_Name_Reply::length ( | void ) const

void ACE_Name_Reply::msg_type ( | ACE_INT32 t )

ACE_INT32 ACE_Name_Reply::msg_type ( | void ) const

void ACE_Name_Reply::status ( | ACE_INT32 s )

ACE_INT32 ACE_Name_Reply::status ( | void ) const

## Member Data Documentation

Transfer ACE_Name_Reply::transfer_`[private]`

| Transfer buffer.

The documentation for this class was generated from the following files:

- Name_Request_Reply.h
- Name_Request_Reply.cpp